Bug 183551 - astro/ephem: make port working with freebsd 10
Summary: astro/ephem: make port working with freebsd 10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-01 13:50 UTC by Slaven Rezic
Modified: 2013-11-04 16:50 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (242 bytes, patch)
2013-11-01 13:50 UTC, Slaven Rezic
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Slaven Rezic 2013-11-01 13:50:02 UTC
	astro/ephem does not compile with clang. The code has many
	places with a "return;" in non-void functions, which is an
	error in clang. Easiest fix here is to let the port compile
	with gcc.

How-To-Repeat: 	See http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-10-31_23h19m03s/logs/ephem-4.28.log
Comment 1 Edwin Groothuis freebsd_committer 2013-11-01 13:50:15 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Mark Felder freebsd_committer 2013-11-02 23:05:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->feld

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-11-02 23:06:24 UTC
Author: feld
Date: Sat Nov  2 23:06:17 2013
New Revision: 332551
URL: http://svnweb.freebsd.org/changeset/ports/332551

Log:
  Fix build on FreeBSD 10+
  
  PR:		ports/183551
  Approved by:	swills (mentor, implicit)

Modified:
  head/astro/ephem/Makefile

Modified: head/astro/ephem/Makefile
==============================================================================
--- head/astro/ephem/Makefile	Sat Nov  2 23:00:53 2013	(r332550)
+++ head/astro/ephem/Makefile	Sat Nov  2 23:06:17 2013	(r332551)
@@ -17,6 +17,8 @@ ALL_TARGET=
 
 CFLAGS+=	-Wno-implicit
 
+USE_GCC=	any
+
 do-install:
 	-cd ${WRKSRC}; \
 	${INSTALL_PROGRAM} ephem ${PREFIX}/bin; \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Mark Felder freebsd_committer 2013-11-02 23:06:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2013-11-02 23:18:32 UTC
Author: feld
Date: Sat Nov  2 23:18:25 2013
New Revision: 332555
URL: http://svnweb.freebsd.org/changeset/ports/332555

Log:
  Support STAGE while here...
  
  PR:		ports/183551
  Approved by:	swills (mentor, implicit)

Modified:
  head/astro/ephem/Makefile

Modified: head/astro/ephem/Makefile
==============================================================================
--- head/astro/ephem/Makefile	Sat Nov  2 23:14:10 2013	(r332554)
+++ head/astro/ephem/Makefile	Sat Nov  2 23:18:25 2013	(r332555)
@@ -21,11 +21,11 @@ USE_GCC=	any
 
 do-install:
 	-cd ${WRKSRC}; \
-	${INSTALL_PROGRAM} ephem ${PREFIX}/bin; \
-	${MKDIR} ${PREFIX}/share/ephem; \
-	${INSTALL_DATA} Man.txt ${PREFIX}/share/ephem/; \
-	[ ! -f ${PREFIX}/share/ephem/ephem.db ] && ${INSTALL_DATA} ephem.db ${PREFIX}/share/ephem/; \
-	[ ! -f ${PREFIX}/share/ephem/ephem.cfg ] && ${INSTALL_DATA} ephem.cfg ${PREFIX}/share/ephem/
+	${INSTALL_PROGRAM} ephem ${STAGEDIR}${PREFIX}/bin; \
+	${MKDIR} ${STAGEDIR}${PREFIX}/share/ephem; \
+	${INSTALL_DATA} Man.txt ${STAGEDIR}${PREFIX}/share/ephem/; \
+	[ ! -f ${STAGEDIR}${PREFIX}/share/ephem/ephem.db ] && ${INSTALL_DATA} ephem.db ${STAGEDIR}${PREFIX}/share/ephem/; \
+	[ ! -f ${STAGEDIR}${PREFIX}/share/ephem/ephem.cfg ] && ${INSTALL_DATA} ephem.cfg ${STAGEDIR}${PREFIX}/share/ephem/
 
 post-install:
 	@${ECHO_MSG} Don\'t forget to edit ${PREFIX}/share/ephem/ephem.cfg!
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2013-11-04 16:47:48 UTC
Author: feld
Date: Mon Nov  4 16:47:41 2013
New Revision: 332741
URL: http://svnweb.freebsd.org/changeset/ports/332741

Log:
  USE_GCC is not necessary
  
  PR:		ports/183551
  Submitted by:	tijl
  Approved by:	swills (mentor, implicit) & maintainer

Modified:
  head/astro/ephem/Makefile

Modified: head/astro/ephem/Makefile
==============================================================================
--- head/astro/ephem/Makefile	Mon Nov  4 16:45:24 2013	(r332740)
+++ head/astro/ephem/Makefile	Mon Nov  4 16:47:41 2013	(r332741)
@@ -15,9 +15,7 @@ NO_STAGE=	yes
 NO_WRKSUBDIR=	yes
 ALL_TARGET=
 
-CFLAGS+=	-Wno-implicit
-
-USE_GCC=	any
+CFLAGS+=	-Wno-implicit -Wno-return-type
 
 do-install:
 	-cd ${WRKSRC}; \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"